services:
  valkey:
    image: valkey/valkey:latest
    ports:
      - 6379:6379
    volumes:
      - ./valkey_data:/data
      - ./acl.conf:/usr/local/etc/valkey/acl.conf
    command: valkey-server /usr/local/etc/valkey/acl.conf
    user: "${UID}"

  redisinsight:
    image: redis/redisinsight:latest
    ports:
      - 5540:5540
    volumes:
      - ./redisinsight:/data
    user: "${UID}"
